From 7352bd5cdbacf98771fdc0d32a606c4b6718077c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Anna=20=E2=80=9CCyberTailor=E2=80=9D?= <cyber@sysrq.in>
Date: Fri, 4 Nov 2022 22:48:58 +0500
Subject: [PATCH] configure: fix non-portable "==" tests

---
 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index c81813d..298af48 100644
--- a/configure.ac
+++ b/configure.ac
@@ -123,7 +123,7 @@ if test x"$have_va_copy$have___va_copy" = x"nono"; then
       AC_DEFINE([VA_LIST_IS_ARRAY], [1],[Define if va_list is an array type])])
 fi
 
-if test "x$enable_tls" != xno -a "x$with_gnutls" == xyes; then
+if test "x$enable_tls" != xno -a "x$with_gnutls" = xyes; then
     PKG_CHECK_MODULES([gnutls], [gnutls],
         [PC_REQUIRES="gnutls ${PC_REQUIRES}"],
         [AC_CHECK_HEADER([gnutls/gnutls.h],
@@ -133,7 +133,7 @@ if test "x$enable_tls" != xno -a "x$with_gnutls" == xyes; then
             ],
             [AC_MSG_ERROR([gnutls not found; gnutls required])]
         )])
-elif test "x$enable_tls" != xno -a "x$with_schannel" == xyes; then
+elif test "x$enable_tls" != xno -a "x$with_schannel" = xyes; then
     if test "x$PLATFORM" != xwin32; then
         AC_MSG_ERROR([schannel is only supported on Windows])
     fi
